\documentclass[12pt,twoside]{scrreprt}
\usepackage[a4paper,top=30mm,bottom=30mm,left=40mm,right=20mm]{geometry}
\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage{amsmath}
\usepackage{booktabs} % some tables
\usepackage[ngerman]{babel}
\addto{\captionsngerman}{\renewcommand{\refname}{Literaturverzeichnis}} % refname because doc-class is article, otherwise it would be bibname
% - : unterdrückt andere Trennungen
% "= : erlaubt andere Trennungen
% "~ : darf nicht getrennt werden
% \- : schließt andere Trennungen aus
% "- : schließt andere Trennungen nicht aus
% "" : Trennung ohne Trennstrich
% "| : Auflösung Ligatur und Schaffung Trennmöglichkeit

\usepackage[htt]{hyphenat}
\hyphenation{
    Ein-schrän-kung-en
    Farb-un-ter-ab-tas-tung
    HTWDD
    MJPEG
    Rtp-Hand-ler
    Rtsp-Hand-ler
    Vi-deo-da-tei-en
}
\usepackage{csquotes}
\usepackage[style=ieee,sorting=nty,backend=biber]{biblatex}
\addbibresource{src/literatur.bib}

% \usepackage{lmodern} % order matters!! (lmodern is tt font, alegreya serif/main font
% \usepackage{mathptmx} % uses 'URW Nimbus Roman' as serif font, is very similar to Times New Roman
\usepackage{libertinus}
\usepackage{inconsolata} % use other monospace font to get pdfa compliance

\usepackage{graphicx}
\usepackage[hyperref]{xcolor}
\definecolor{darkblue}{RGB}{0,0,100}
\definecolor{darkgreen}{RGB}{0,100,0}
\definecolor{tt-gray}{gray}{0.85}
\definecolor{dark-orange}{rgb}{0.55,0.27,0.07}
% \definecolor{<colorname>}{rgb}{0,0,0.5}
% \definecolor{<colorname>}{gray}{0.5}
% \definecolor{<colorname>}{HTML}{00FA38}
% \definecolor{<colorname>}{cmyk}{0,0.2,1,0.1}

\usepackage[a-2b]{pdfx}

\usepackage{hyperref}
\hypersetup{
%    pdfauthor={Emanuel Günther},
%    pdftitle={Diplomarbeit},
%    pdfsubject={Diplomarbeit}, % abstract
    colorlinks=true,
    linkcolor=black,
    citecolor=black,
    filecolor=black,
    urlcolor=black
}

\usepackage{fancyhdr}
\pagestyle{fancy}
\fancyhead{}
\renewcommand{\headrulewidth}{0pt}
\fancyfoot{}
\fancyfoot[LE,RO]{\thepage}
\renewcommand{\footrulewidth}{0.4pt}

\usepackage{listings} % code listings
\lstdefinestyle{packet}{
    backgroundcolor=\color{white},
    basicstyle=\ttfamily\footnotesize,
    breakatwhitespace=false,
    breaklines=true,
    captionpos=b,
    keepspaces=true,
    showspaces=false,
    showstringspaces=false,
    showtabs=false,
    tabsize=2
}
\lstset{escapeinside={<@}{@>}}
\renewcommand\lstlistingname{Programmcode}
\renewcommand\lstlistlistingname{Programmcodeverzeichnis}

\usepackage[acronym,nogroupskip,nonumberlist,nopostdot,style=altlist,toc]{glossaries}
\makeglossaries
\loadglsentries{src/glossar}
\glsdisablehyper % disables hyperlinks for all glossaries

% \listoffigures and \listoftables get listed in toc
\usepackage[nottoc]{tocbibind}

% have multiple subfigures with captions in one figure
% and create links to figures so that they are visible after clicking the link
\usepackage{subcaption}

\usepackage{scrextend} % includes KOMA-Script, e.g. has check for odd page number
\usepackage{tabularx}
\usepackage{array}


\begin{document}

\input{src/titelseite}
\input{src/copyright}

\input{src/verzeichnisse.tex}
\cleardoublepage

\input{src/einleitung}
\input{src/jpeg}
\input{src/mjpeg}
\input{src/rtp-jpeg}
\input{src/optimierung}
\input{src/vorbereitung}
\input{src/verschluesselung-srtp}
\input{src/verschluesselung-jpeg}
\input{src/zusammenfassung}
\cleardoublepage

\printbibliography[heading=bibintoc,title={Literaturverzeichnis}]
\cleardoublepage

\appendix
\input{src/anhang-analysator}
\input{src/anhang-tabellen-optimierung}
\cleardoublepage

\input{src/selbststaendigkeitserklaerung}
\cleardoublepage

\end{document}
